package humanresource;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
@Entity
@Table(name="COUNTRY"
    , uniqueConstraints = {  }
)
@SuppressWarnings("serial")
public class Country  implements java.io.Serializable {
	private String countryId;
	private Region region;
	private String countryName;
	public Country() {
	}
	public Country(String countryId) {
		this.countryId = countryId;
	}
	public Country(String countryId, Region region, String countryName) {
		this.countryId = countryId;
		this.region = region;
		this.countryName = countryName;
	}
    @Id
    @Column(name="COUNTRY_ID", unique=true, nullable=false, insertable=true, updatable=true, length=2)
	public String getCountryId() {
		return this.countryId;
	}
	public void setCountryId(String countryId) {
		this.countryId = countryId;
	}
	@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="REGION_ID")
	public Region getRegion() {
		return this.region;
	}
	public void setRegion(Region region) {
		this.region = region;
	}
    @Column(name="COUNTRY_NAME", unique=false, nullable=true, insertable=true, updatable=true, length=40)
	public String getCountryName() {
		return this.countryName;
	}
	public void setCountryName(String countryName) {
		this.countryName = countryName;
	}
}


