package humanresource;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
@Entity
@Table(name="REGION"
    , uniqueConstraints = {  }
)
@SuppressWarnings("serial")
public class Region  implements java.io.Serializable {
	private BigDecimal regionId;
	private String regionName;
	public Region() {
	}
	public Region(BigDecimal regionId) {
		this.regionId = regionId;
	}
	public Region(BigDecimal regionId, String regionName) {
		this.regionId = regionId;
		this.regionName = regionName;
	}
    @Id
    @Column(name="REGION_ID", unique=true, nullable=false, insertable=true, updatable=true, precision=22, scale=0)
	public BigDecimal getRegionId() {
		return this.regionId;
	}
	public void setRegionId(BigDecimal regionId) {
		this.regionId = regionId;
	}
    @Column(name="REGION_NAME", unique=false, nullable=true, insertable=true, updatable=true, length=25)
	public String getRegionName() {
		return this.regionName;
	}
	public void setRegionName(String regionName) {
		this.regionName = regionName;
	}
}


